Bug 655892 - [vdsm] [storage] master domain mount point appears twice on SPM
Summary: [vdsm] [storage] master domain mount point appears twice on SPM
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: rc
: ---
Assignee: Eduardo Warszawski
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 16:17 UTC by Haim
Modified: 2016-04-18 06:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-30 17:36:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
vdsm log. (1.25 MB, application/x-gzip)
2010-11-22 16:17 UTC, Haim
no flags Details

Description Haim 2010-11-22 16:17:31 UTC
Created attachment 462066 [details]
vdsm log.

Description of problem:

this is a very odd issues. i will start by printing mount table: 


[root@magenta-vdsd ~]# mount 
/dev/mapper/vg0-lv_root on / type ext4 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw,rootcontext="system_u:object_r:tmpfs_t:s0")
/dev/sda1 on /boot type ext4 (rw)
/dev/mapper/vg0-lv_home on /home type ext4 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
/dev/mapper/689bf013--d895--48d7--a314--12d35f43e176-master on /rhev/data-center/mnt/blockSD/689bf013-d895-48d7-a314-12d35f43e176/master type ext3 (rw)
qanashead.qa.lab.tlv.redhat.com:/export/hateya/rhel6.nfs-iso on /rhev/data-center/mnt/qanashead.qa.lab.tlv.redhat.com:_export_hateya_rhel6.nfs-iso type nfs (rw,soft,timeo=600,retrans=2,nosharecache,vers=3,addr=10.35.64.28)
/dev/mapper/689bf013--d895--48d7--a314--12d35f43e176-master on /rhev/data-center/mnt/blockSD/689bf013-d895-48d7-a314-12d35f43e176/master type ext3 (rw)
/dev/mapper/689bf013--d895--48d7--a314--12d35f43e176-master on /rhev/data-center/mnt/blockSD/689bf013-d895-48d7-a314-12d35f43e176/master type ext3 (rw)
[root@magenta-vdsd ~]# 

it appears that in some point in time (vdsm.log.8.gz) in start spm task, vdsm decided to mount master storage domain mount point twice (i think, not sure)

 ffedbbc4-35f9-4235-8cf4-0bb747a6adf8::DEBUG::2010-11-21 09:55:09,033::misc::125::Storage.Misc.excCmd::(execCmd) FAILED: <err> = 'The filesystem already has a j
ournal.\n'; <rc> = 1
ffedbbc4-35f9-4235-8cf4-0bb747a6adf8::DEBUG::2010-11-21 09:55:09,035::misc::105::Storage.Misc.excCmd::(execCmd) '/usr/bin/sudo -n /bin/mount /dev/689bf013-d895-48d7-a314-12d35f43e176/master /rhev/data-center/mnt/blockSD/689bf013-d895-48d7-a314-12d35f43e176/master' (cwd None)
ffedbbc4-35f9-4235-8cf4-0bb747a6adf8::DEBUG::2010-11-21 09:55:09,227::misc::125::Storage.Misc.excCmd::(execCmd) SUCCESS: <err> = ''; <rc> = 0
ffedbbc4-35f9-4235-8cf4-0bb747a6adf8::DEBUG::2010-11-21 09:55:09,229::misc::105::Storage.Misc.excCmd::(execCmd) '/usr/bin/sudo -n /bin/chown vdsm:kvm /rhev/data-center/mnt/blockSD/689bf013-d895-48d7-a314-12d35f43e176/master' (cwd None)

not sure for repro steps - see attached vdsm log.

Comment 2 Eduardo Warszawski 2010-11-30 08:48:46 UTC
The error line is usual and a result of the tune2fs parameters.
-j is used for create the journal in case that it not exists (ext2).
In case that a journal is present there is no harm.

ffedbbc4-35f9-4235-8cf4-0bb747a6adf8::DEBUG::2010-11-21 09:55:09,008::misc::105::Storage.Misc.excCmd::(execCmd) '/usr/bin/sudo -n /sbin/tune2fs -j /dev/689bf013-d895-48d7-a314-12d35f43e176/master' (cwd None)

ffedbbc4-35f9-4235-8cf4-0bb747a6adf8::DEBUG::2010-11-21 09:55:09,033::misc::125::Storage.Misc.excCmd::(execCmd) FAILED: <err> = 'The filesystem already has a journal.\n'; <rc> = 1

Comment 3 Eduardo Warszawski 2010-11-30 17:36:15 UTC
mount issue can't be reproduced.


Note You need to log in before you can comment on or make changes to this bug.